Subject: Re: bug#36779: 25.1; mouse click not recognized for frames with large left position

From: Eijiro Sumii <[email-masked]>
Date: Mon, 29 Jul 2019 18:20:00 +0900

On Sat, Jul 27, 2019 at 3:52 PM martin rudalics <[email-masked]> wrote:
>  > Meanwhile, I received information from costumer support of the X server
>  > that the problem may be related to RandR extension.  I am not yet sure
>  > which side (the client or server) is causing the problem, and will continue
>  > investigation.
>
> Does evaluating
>
> (display-monitor-attributes-list)
>
> give a reasonable result?

Yes, it looks correct (according to the feature of the X server, which
treats multiple monitors as a big, single monitor):

(display-monitor-attributes-list)
(((geometry 0 0 5760 2160) (workarea 0 0 5760 2160) (mm-size 1016 381)
(frames #<frame emacs@LAPTOP-0TO7HGG8 0x1132c30>) (source . "Gdk")))

I have also tried disabling RandR extension of the X server, but
nothing changed.

Additionally, I noticed that the *shape* of the mouse cursor changes
correctly in accordance with the contents of the window frame at the
mouse position; however, no click is recognized *except for* some
"shallow" part of the menu.